MGBrown.com

Trying to learn PHP error code is 2878.

I thought for a change it was about time I learnt something that was not Microsoft related. I seem to be getting endless calls by people wanting me to help them with their PHP sites, so I thought it would be a good idea to learn it. After about ten minutes I remembered why I don't normally venture away from the Microsoft world. It is not that the rest of the software world is bad, but I definitely seem to be jinxed when I go there.

The first thing that does my head is the first line on the PHP Manual. You see, apparently PHP stands for "Hypertext PreProcessor", but in my world that should make it HPP. Anyway, I won't hold that against them so I head off and download the installer for version 5.2.5. It downloads fine and the number of bytes downloaded match what the site says they should be only when I run the thing I get this error message just after the step where you specify the install directory:

"The installer has encountered an unexpected error installing this package. This may indicate a problem with this package. The error code is 2878."
It turns out, I'm not the only one to have this issue. There are six more on the bug report. I'm not sure what causes this, but you would have thought that some testing would have occurred on the worlds most used operating system wouldn't you. As there is no sign of the msi for the previous version, I'm left to do the multi-step manual install. Maybe I might get to writing my "Hello PHP World" application sometime before Christmas. I'll let you know how it goes when I do.

Comments

Sorry, this post is no longer accepting comments.